{ osConfig, lib, pkgs, ... }:
let
    hasGui = osConfig.services.dbus.implementation == "dbus";
    baseConfig = {};
    exts = pkgs.vscode-extensions;
in
{
    config = lib.mkIf hasGui
    {
        programs.vscode.profiles.vibes = {
            extensions = with exts; [
                mkhl.direnv
                bbenoist.nix
                svelte.svelte-vscode
                ms-python.python
                ms-python.debugpy
                ms-python.pylint
                github.vscode-github-actions
                prettier.prettier-vscode
                docker.docker
                redhat.vscode-yaml
                github.copilot-chat
            ];
            userSettings = {
                "chat.agent.enabled" = true;
            };
        };
    };
}